Loading...
Searching...
No Matches
restinio::impl::buf_iface_t Class Referenceabstract

Internal interface for a trivial buffer-like entity. More...

`#include <buffers.hpp>`

Inheritance diagram for restinio::impl::buf_iface_t:

## Public Member Functions

virtual asio_ns::const_buffer | buffer () const =0
| Get asio buf entity.
Public Member Functions inherited from restinio::impl::writable_base_t
| writable_base_t ()=default
| writable_base_t (const writable_base_t &)=default
| writable_base_t (writable_base_t &&)=default
writable_base_t & | operator= (const writable_base_t &)=delete
writable_base_t & | operator= (writable_base_t &&)=delete
virtual | ~writable_base_t ()
virtual void | relocate_to (void *storage)=0
| Move this buffer enitity to a given location.
virtual std::size_t | size () const =0
| Get the size of a writable piece of data.

## Detailed Description

Internal interface for a trivial buffer-like entity.

Definition at line 80 of file buffers.hpp.

## Member Function Documentation

## buffer()

virtual asio_ns::const_buffer restinio::impl::buf_iface_t::buffer | ( |  | ) | const

pure virtual

Get asio buf entity.

Prepares an item for being used with ASIO API.

Implemented in restinio::impl::empty_buf_t, restinio::impl::const_buf_t, restinio::impl::datasizeable_buf_t< Datasizeable >, and restinio::impl::shared_datasizeable_buf_t< Datasizeable >.

The documentation for this class was generated from the following file:

- restinio/buffers.hpp